// Πηγαίος κώδικας άσκησης Αυτοαξιολόγησης 2
public class CircleTest2{
	public static void main(String[] args){
		System.out.println("Example 2 running");
		Circle a = new Circle(2.0,2.0,3.0);// δημιουργία κύκλου a και απόδοση αρχικών τιμών
		Circle b = new Circle(5.0,2.0,2.0);// δημιουργία κύκλου b και απόδοση αρχικών τιμών

		// εκτύπωση στοιχείων κύκλου a και b όπως άσκηση 3.1
		//		:
		System.out.println("Αριθμός στιγμιότυπων:" + Circle.count); 
		}
	}

class Circle {
		static int count = 0;
		public static final double PI=3.1415926;
		public double x,y,r;
	
		public Circle(double x, double y, double r) { 
				this.x=x;  this.y=y;  this.r=r; count++; }
              	public double circumference( ) { return 2*PI*r; }
              	public double area( ) { return PI*r*r; }
         	}
